/**
  *  \file client/tiles/fleetwaypoint.h
  *  \brief Fleet Waypoint Tile
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_FLEETWAYPOINT_H
#define PCC_V2_CLIENT_TILES_FLEETWAYPOINT_H

#include "client/wtile.h"
#include "cpluslib/holder.h"

/** Fleet waypoint tile. This tile observes the ship selection, so it
    displays information about a fleet member. */
class WFleetWaypointTile : public WObjectSelectionObserverTile {
    ObjectHolder h;
    void init();
 public:
    WFleetWaypointTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
