/**
  *  \file reshack/fontedit.h
  *  \brief Resource Editor: Font Editor
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_RESHACK_FONTEDIT_H
#define PCC_V2_RESHACK_FONTEDIT_H

#include "reshack/edit.h"
#include "gfx/bmfont.h"

/** Font Editor. Edits a GfxBitmapFont object. */
class RHFontEditor : public RHEditor {
    Ptr<GfxBitmapFont> font;
    string_t file_name;
    bool dirty;
 public:
    RHFontEditor(Ptr<GfxBitmapFont> font, string_t file_name);
    ~RHFontEditor();

    string_t getName();
    void edit();
    void save();
    void saveFont(string_t name, string_t comment, int flags);
    bool hasUnsavedChanges();
};

#endif
